Voice agentsAgent tests
Get a test
Authorization
bearerAuth AuthorizationBearer <token>
A Tandem bearer token. Requests are scoped to the organization the token belongs to; no organization header is required.
In: header
Path Parameters
agentId*string
The agent's unique ID.
testId*string
The test's unique ID.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agent-media/agents/string/tests/string"{ "test": { "name": "string", "description": "string", "mode": "scripted", "scripted": { "turns": [ "string" ] }, "simulated": { "persona": "string", "goal": "string", "maxTurns": 20 }, "stubs": {}, "checks": [], "criteria": [], "repeat": 1, "caller": { "ani": "string", "contact": { "attributes": { "property1": "string", "property2": "string" } } }, "workflowVariables": { "property1": "string", "property2": "string" }, "memory": { "callCount": 1, "synopsis": "string", "rollingSummary": "string", "openThreads": "string" }, "testId": "string", "agentId": "string", "source": "user", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}{ "error": "string", "message": "string", "limit": 0, "length": 0, "reason": "string"}